The sales behind the Tax report
curl --request GET \
--url https://api.1club.ai/v1/platform/reports/tax/charges \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.1club.ai/v1/platform/reports/tax/charges"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.1club.ai/v1/platform/reports/tax/charges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.1club.ai/v1/platform/reports/tax/charges",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.1club.ai/v1/platform/reports/tax/charges"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.1club.ai/v1/platform/reports/tax/charges")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.1club.ai/v1/platform/reports/tax/charges")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"period": {
"from": "2023-12-25",
"to": "2023-12-25",
"days": 123
},
"timezone": "<string>",
"currency": "<string>",
"total": 123,
"limit": 123,
"offset": 123,
"rows": [
{
"transactionId": 123,
"day": "2023-12-25",
"transactionType": "<string>",
"paymentStatus": "<string>",
"item": "<string>",
"contactId": 123,
"contactName": "<string>",
"clubId": 123,
"clubName": "<string>",
"billingEntityId": 123,
"revenueAccountId": 123,
"accountName": "<string>",
"accountCode": "<string>",
"taxRateId": 123,
"taxRateName": "<string>",
"taxRate": 123,
"sales": 123,
"tax": 123,
"total": 123,
"charged": {
"net": 123,
"tax": 123,
"gross": 123
},
"credited": {
"net": 123,
"tax": 123,
"gross": 123
}
}
]
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}Reports
The sales behind the Tax report
Every sale the Tax report for the same period and narrowing counts, one line each, by day and then by transaction: what was sold and to whom, its club, company, revenue account and tax rate, what was charged and credited (incl. tax), and what it is worth now ex-tax, its tax and total. The admin’s Tax charges download, as a list.
Paged with limit and offset; total counts every line of the period. A period of more than 500,000 lines is refused: narrow it. Readable with transactions:read. A period may span at most 366 days. Reports have their own limit of 20 requests a minute, on top of the platform’s.
GET
/
v1
/
platform
/
reports
/
tax
/
charges
The sales behind the Tax report
curl --request GET \
--url https://api.1club.ai/v1/platform/reports/tax/charges \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.1club.ai/v1/platform/reports/tax/charges"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.1club.ai/v1/platform/reports/tax/charges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.1club.ai/v1/platform/reports/tax/charges",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.1club.ai/v1/platform/reports/tax/charges"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.1club.ai/v1/platform/reports/tax/charges")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.1club.ai/v1/platform/reports/tax/charges")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"period": {
"from": "2023-12-25",
"to": "2023-12-25",
"days": 123
},
"timezone": "<string>",
"currency": "<string>",
"total": 123,
"limit": 123,
"offset": 123,
"rows": [
{
"transactionId": 123,
"day": "2023-12-25",
"transactionType": "<string>",
"paymentStatus": "<string>",
"item": "<string>",
"contactId": 123,
"contactName": "<string>",
"clubId": 123,
"clubName": "<string>",
"billingEntityId": 123,
"revenueAccountId": 123,
"accountName": "<string>",
"accountCode": "<string>",
"taxRateId": 123,
"taxRateName": "<string>",
"taxRate": 123,
"sales": 123,
"tax": 123,
"total": 123,
"charged": {
"net": 123,
"tax": 123,
"gross": 123
},
"credited": {
"net": 123,
"tax": 123,
"gross": 123
}
}
]
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}Authorizations
Query Parameters
Was this page helpful?